import request from '@/utils/request'

// 查询年产值列表
export function listInfo(query) {
    return request({
        url: '/crmAnnualOutputValueInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询年产值详细
export function getInfo(id) {
    return request({
        url: '/crmAnnualOutputValueInfo/' + id,
        method: 'get'
    })
}

// 新增年产值
export function addInfo(data) {
    return request({
        url: '/crmAnnualOutputValueInfo',
        method: 'post',
        data: data
    })
}

// 修改年产值
export function updateInfo(data) {
    return request({
        url: '/crmAnnualOutputValueInfo',
        method: 'put',
        data: data
    })
}

// 删除年产值
export function delInfo(id) {
    return request({
        url: '/crmAnnualOutputValueInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmAnnualOutputValueInfo/delete',ids)
}